<?xml version="1.0" encoding="utf-8"?>
<extension type="module" version="3.6.5" client="site" method="upgrade">
	<name>mod_lazyslider</name>
	<author>Philip Sorokin</author>
	<creationDate>October 2017</creationDate>
	<license>http://www.gnu.org/licenses/gpl-2.0.html</license>
	<copyright>Copyright (C) 2017 Philip Sorokin. All rights reserved.</copyright>
	<authorEmail>info@addondev.com</authorEmail>
	<authorUrl>www.addondev.com</authorUrl>
	<version>1.0</version>
	<description>MOD_LAZYSLIDER_DESCRIPTION</description>
	<files>
		<filename module="mod_lazyslider">mod_lazyslider.php</filename>
		<filename module="mod_lazyslider">helper.php</filename>
		<filename plugin="sefwizard">license</filename>
		<folder>tmpl</folder>
		<folder>assets</folder>
		<folder>fields</folder>
		<folder>demo</folder>
	</files>
	<languages folder="language">
		<language tag="en-GB">en-GB/en-GB.mod_lazyslider.ini</language>
		<language tag="en-GB">en-GB/en-GB.mod_lazyslider.sys.ini</language>
		<language tag="ru-RU">ru-RU/ru-RU.mod_lazyslider.ini</language>
		<language tag="ru-RU">ru-RU/ru-RU.mod_lazyslider.sys.ini</language>
	</languages>
	<config>
		<fields name="params" addfieldpath="/modules/mod_lazyslider/fields/">
			<fieldset name="basic">
				<field
					name="width"
					type="number"
					label="MOD_LAZYSLIDER_WIDTH_LABEL"
					description="MOD_LAZYSLIDER_GABARITS_DESCRIPTION"
					default="1920"
				/>
				<field
					name="height"
					type="number"
					label="MOD_LAZYSLIDER_HEIGHT_LABEL"
					description="MOD_LAZYSLIDER_GABARITS_DESCRIPTION"
					default="580"
				/>
				<field
					name="caption_min_width"
					type="number"
					label="MOD_LAZYSLIDER_CAPTION_MINWIDTH_LABEL"
					description="MOD_LAZYSLIDER_CAPTION_MINWIDTH_DESCRIPTION"
					default="1024"
				/>
				<field 
					name="autoplay" 
					type="radio"  
					label="MOD_LAZYSLIDER_AUTOPLAY_LABEL" 
					description="MOD_LAZYSLIDER_AUTOPLAY_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="1"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field type="spacer" name="pro_spacer" label="MOD_LAZYSLIDER_PRO_FEATURES" />
				<field
					name="controls_min_width"
					type="number"
					label="MOD_LAZYSLIDER_CONTROLS_MINWIDTH_LABEL"
					description="MOD_LAZYSLIDER_CONTROLS_MINWIDTH_DESCRIPTION"
					default="768"
					disabled="disabled"
				/>
				<field 
					name="effect" 
					type="list"  
					label="MOD_LAZYSLIDER_ANIMATION_TYPE_LABEL"
					description="MOD_LAZYSLIDER_ANIMATION_TYPE_DESCRIPTION"
					default="-1"
					>
					<option disabled="disabled" value="0">MOD_LAZYSLIDER_ANIMATION_TYPE_SLIDE</option>
					<option disabled="disabled" value="1">MOD_LAZYSLIDER_ANIMATION_TYPE_FADE</option>
					<option disabled="disabled" value="2">MOD_LAZYSLIDER_ANIMATION_TYPE_FLIP</option>
					<option value="-1">MOD_LAZYSLIDER_ANIMATION_TYPE_MIXED</option>
				</field>
				<field 
					name="interval" 
					type="number"  
					label="MOD_LAZYSLIDER_CYCLING_INTERVAL_LABEL" 
					description="MOD_LAZYSLIDER_CYCLING_INTERVAL_DESCRIPTION"
					default="6000"
					min="1000"
					disabled="disabled"
				/>
				<field 
					name="stop_on_hover" 
					type="radio"  
					label="MOD_LAZYSLIDER_HOVER_PAUSE_LABEL" 
					description="MOD_LAZYSLIDER_HOVER_PAUSE_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="0"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field 
					name="keyboard_control" 
					type="radio"  
					label="MOD_LAZYSLIDER_KEYBOARD_CONTROL_LABEL" 
					description="MOD_LAZYSLIDER_KEYBOARD_CONTROL_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="0"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field 
					name="lazy_load" 
					type="radio"  
					label="MOD_LAZYSLIDER_LAZYLOAD_LABEL" 
					description="MOD_LAZYSLIDER_LAZYLOAD_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="1"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field
					name="show_loader" 
					type="radio"  
					label="MOD_LAZYSLIDER_LAZYLOAD_SHOW_PROGRESSBAR_LABEL" 
					description="MOD_LAZYSLIDER_LAZYLOAD_SHOW_PROGRESSBAR_DESCRIPTION"
					class="btn-group btn-yes-no"
					showon="lazy_load:1"
					default="1"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field 
					name="parallax" 
					type="radio"  
					label="MOD_LAZYSLIDER_PARALLAX_LABEL" 
					description="MOD_LAZYSLIDER_PARALLAX_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="0"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field 
					name="parallax_direction" 
					type="list"  
					label="MOD_LAZYSLIDER_PARALLAX_DIRECTION_LABEL"
					description="MOD_LAZYSLIDER_PARALLAX_DIRECTION_DESCRIPTION"
					default="top"
					showon="parallax:1"
					disabled="disabled"
					>
					<option value="top">MOD_LAZYSLIDER_PARALLAX_DIRECTION_TOP</option>
					<option value="bottom">MOD_LAZYSLIDER_PARALLAX_DIRECTION_BOTTOM</option>
				</field>
				<field 
					name="parallax_zoom" 
					type="number"  
					label="MOD_LAZYSLIDER_PARALLAX_ZOOM_LABEL" 
					description="MOD_LAZYSLIDER_PARALLAX_ZOOM_DESCRIPTION"
					default="50"
					min="0"
					showon="parallax:1"
					disabled="disabled"
				/>
				<field 
					name="parallax_depth" 
					type="number"  
					label="MOD_LAZYSLIDER_PARALLAX_DEPTH_LABEL" 
					description="MOD_LAZYSLIDER_PARALLAX_DEPTH_DESCRIPTION"
					default="70"
					min="0"
					max="100"
					showon="parallax:1"
					disabled="disabled"
				/>
				<field
					name="parallax_min_width"
					type="number"
					label="MOD_LAZYSLIDER_PARALLAX_MINWIDTH_LABEL"
					description="MOD_LAZYSLIDER_PARALLAX_MINWIDTH_DESCRIPTION"
					min="0"
					showon="parallax:1"
					disabled="disabled"
				/>
				<field
					name="auto_resize" 
					type="radio"  
					label="MOD_LAZYSLIDER_AUTORESIZE_LABEL" 
					description="MOD_LAZYSLIDER_AUTORESIZE_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="0"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field
					name="auto_resize_quality"
					type="number"
					label="MOD_LAZYSLIDER_AUTORESIZE_QUALITY_LABEL"
					description="MOD_LAZYSLIDER_AUTORESIZE_QUALITY_DESCRIPTION"
					min="1"
					max="100"
					default="50"
					showon="auto_resize:1"
					disabled="disabled"
				/>
				<field
					name="auto_resize_maxage"
					type="number"
					label="MOD_LAZYSLIDER_AUTORESIZE_MAXAGE_LABEL"
					description="MOD_LAZYSLIDER_AUTORESIZE_MAXAGE_DESCRIPTION"
					min="1"
					max="100"
					default="43800"
					showon="auto_resize:1"
					disabled="disabled"
				/>
				<field 
					name="show_navigation" 
					type="radio"  
					label="MOD_LAZYSLIDER_SHOW_NAVIGATION_LABEL" 
					description="MOD_LAZYSLIDER_SHOW_NAVIGATION_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="1"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field 
					name="show_indicators"
					type="radio"  
					label="MOD_LAZYSLIDER_SHOW_INDICATORS_LABEL" 
					description="MOD_LAZYSLIDER_SHOW_INDICATORS_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="1"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field 
					name="show_playbuttons" 
					type="radio"  
					label="MOD_LAZYSLIDER_SHOW_PLAYBUTTONS_LABEL" 
					description="MOD_LAZYSLIDER_SHOW_PLAYBUTTONS_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="1"
					disabled="disabled"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
			</fieldset>
			<fieldset name="images" label="MOD_LAZYSLIDER_FIELDSET_IMAGES_LABEL" description="MOD_LAZYSLIDER_FIELDSET_IMAGES_LABEL">
				<field type="spacer" name="imagesspacer" class="imagesspacer" label="MOD_LAZYSLIDER_IMAGES_SPACER_DESCRIPTION" />
				<field 
					name="directory"
					type="folderlist"
					label="MOD_LAZYSLIDER_IMAGE_DIRECTORY_LABEL"
					description="MOD_LAZYSLIDER_IMAGE_DIRECTORY_DESCRIPTION"
					hide_default="true"
					directory="images"
				/>
				<field 
					name="set_version" 
					type="radio"  
					label="MOD_LAZYSLIDER_SETVERSION_LABEL" 
					description="MOD_LAZYSLIDER_SETVERSION_DESCRIPTION"
					class="btn-group btn-yes-no"
					default="1"
					>
					<option value="1">JYES</option>
					<option value="0">JNO</option>
				</field>
				<field name="lazysliderservice" type="lazysliderservice" />
			</fieldset>
			<fieldset name="advanced">
				<field
					name="layout"
					type="modulelayout"
					label="JFIELD_ALT_LAYOUT_LABEL"
					description="JFIELD_ALT_MODULE_LAYOUT_DESC"
				/>
				<field
					name="moduleclass_sfx"
					type="textarea" rows="3"
					label="COM_MODULES_FIELD_MODULECLASS_SFX_LABEL"
					description="COM_MODULES_FIELD_MODULECLASS_SFX_DESC"
				/>
				<field
					name="cache"
					type="list"
					label="COM_MODULES_FIELD_CACHING_LABEL"
					description="COM_MODULES_FIELD_CACHING_DESC"
					default="1"
					>
					<option value="1">JGLOBAL_USE_GLOBAL</option>
					<option value="0">COM_MODULES_FIELD_VALUE_NOCACHING</option>
				</field>
				<field
					name="cache_time"
					type="text"
					label="COM_MODULES_FIELD_CACHE_TIME_LABEL"
					description="COM_MODULES_FIELD_CACHE_TIME_DESC"
					default="900"
				/>
				<field
					name="cachemode"
					type="hidden"
					default="itemid"
					>
					<option value="itemid"></option>
				</field>
			</fieldset>
		</fields>
	</config>
	<updateservers>
		<server type="extension" priority="1" name="Lazy Slider update server">http://addondev.com/support/updates/lazyslider.xml</server>
	</updateservers>
</extension>
